/**
 * Take the middle value from three numbers.
 */
export declare function middleNum(n: number, min: number, max: number): number;
/**
 * Adds a class to an element.
 */
export declare function addClass(element: HTMLElement, name: string): void;
/**
 * Converts a percentage (`0..1`) to a bar translateX
 * percentage (`-100%..0%`).
 */
export declare function toBarPerc(n: number): string;
/**
 * Applies css properties to an element, similar to the jQuery
 * css method.
 *
 * While this helper does assist with vendor prefixed property names, it
 * does not perform any manipulation of values prior to setting styles.
 */
export declare const css: (element: HTMLElement, properties: any) => void;
/**
 * Queues a function to be executed.
 */
export declare const queue: (fn: Function) => void;
/**
 * Determine which positioning CSS rule to use.
 */
export declare function getPositioningCSS(): string;
/**
 * Returns the correct CSS for changing the bar's
 * position given an n percentage, and speed and ease from Settings
 */
export declare function barPositionCSS(n: number, speed: number, ease: string, position: string): any;
/**
 * Removes the element. Opposite of render().
 */
export declare function remove(parent: string | HTMLElement): void;
